<?php
/*
Plugin Name: Uni Scyw
Plugin URI: http://moomoo.com.ua
Description: Send content to Yandex Webmasters
Version: 1.1
Author: MooMoo Web Studio
Author URI: http://moomoo.com.ua
License: GPL2 or later
*/

//CONSTANTS
if ( ! defined( 'UNI_SCYW_WP_PLUGIN_PATH' ) )
    define( 'UNI_SCYW_WP_PLUGIN_PATH', plugin_dir_path(__FILE__) );
if ( ! defined( 'UNI_SCYW_WP_PLUGIN_URL' ) )
    define( 'UNI_SCYW_WP_PLUGIN_URL', plugin_dir_url(__FILE__) );
if ( ! defined( 'UNI_SCYW_DOMAIN' ) )
    define( 'UNI_SCYW_DOMAIN', 'scyw' );

if( !load_plugin_textdomain( UNI_SCYW_DOMAIN, false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' ) )
    load_plugin_textdomain( UNI_SCYW_DOMAIN, false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
                                                           

//Load required resources
require_once UNI_SCYW_WP_PLUGIN_PATH."class/UniScyw.class.php";
require_once UNI_SCYW_WP_PLUGIN_PATH."class/UniScywLog.class.php";

//Init hooks
add_action( 'init', 'uni_scyw_init', 10 );

function uni_scyw_init() {
    global $UniScyw, $UniLog;
    $UniScyw = new UniScyw();
    $UniScyw->__construst();

    $UniLog = KLogger::instance( UNI_SCYW_WP_PLUGIN_PATH.'log/', KLogger::DEBUG);
}

//Init in admin
function uni_scyw_add_admin_script($hook) {
    if( 'post.php' != $hook )
        return;
}
//add_action( 'admin_enqueue_scripts', 'uni_scyw_add_admin_script' );

//Activation and Deactivation hooks
register_activation_hook( __FILE__, 'UniScywPluginActivate');
register_deactivation_hook( __FILE__, 'UniScywPluginDeactivate');

function scyw_install() {

        global $wpdb;

	    if((!defined('DIEONDBERROR'))&&(is_multisite())){define('DIEONDBERROR',true);}
	    $wpdb->show_errors();

        $collate = '';
        if($wpdb->has_cap( 'collation' )) {
		    if(!empty($wpdb->charset)) $collate = "DEFAULT CHARACTER SET $wpdb->charset";
		    if(!empty($wpdb->collate)) $collate .= " COLLATE $wpdb->collate";
        }

        $sql = "CREATE TABLE IF NOT EXISTS ". $wpdb->prefix . "scyw_original_texts" ." (
                `id`               INT NOT NULL AUTO_INCREMENT,
                `post_id`		   INT,
                `webmaster_id`     VARCHAR(80),
                `webmaster_url`    VARCHAR(150),

                PRIMARY KEY     `id`            (`id`),
                KEY             `post_id`       (`post_id`),
                KEY             `webmaster_id`  (`webmaster_id`)

                ) $collate;";
        if ( $wpdb->query($sql) === false ) {
		    $wpdb->print_error();
		    wp_die(__( 'Ой, халепа! При активації плагіна повинна була бути створена таблиця у БД, але цього не відбулось (scyw_original_texts).' ));
	    }

        $wpdb->hide_errors();

}

function UniScywPluginActivate() {
    scyw_install();
}

function UniScywPluginDeactivate() {
}

?>